Whaaw! Media Player installation instructions.
Written by Jeff Bailes.

Before you try to install or run Whaaw! Media Player you should check that you
have all the required dependencies, these include:
python2 >= 2.5
pygtk >= 2.12
gstreamer-python2 >= 0.10
gstreamer-base >= 0.10.17
gstreamer-good >= 0.10 (for the videobalance and goom plugins)
py2xdg

Optional dependencies include:
dbus-python >= 0.80 ? (Not too sure about the version)
gstreamer-bad >= 0.10.8 (compiled with resindvd support) for DVD menu support
python2-rsvg (Draws the background picture, not important for anything much)

I think that's about it (well, the ones I know about), the package names may
differ depending on your distribution, you will also need other gstreamer
packages depending on the type of media you wish to play.

NOTE: Installation is not needed to use/test whaawmp.  It can be run fine by
just running './whaawmp.sh'.  Though if you really want to install it you can
use the setup.py script, however there is no uninstall script so a package
manager is recommended.  See the below for a list of files which are
installed.

Now, onto the building etc etc.
-To compile & install the files use: python2 setup.py install
--There are --prefix and --root options (see ./setup.py --help for more
information)
-For checkinstall run: 'checkinstall ./setup.py install'
-If python3 is the default python on your system, setup.py should
automatically detect that it's being run by python2 and modify the
executable scripts accordingly.

eg. To install to /usr:
python2 setup.py install --prefix=/usr

To run it afterwards, use whaawmp to start Whaaw! Media Player.

A list of files installed, and should be removed if uninstall is required:
(prefix=/usr by default)
${prefix}/bin/{whaawmp, whaaw-thumbnailer}
${prefix}/lib/python-${pyver}/site-packages/whaawmp-${whaaw-ver}-py${pyver}.egg-info
${prefix}/lib/python-${pyver}/site-packages/whaawmp (entire directory)
${prefix}/share/applications/whaawmp.desktop
${prefix}/share/locale/*/LC_MESSAGES/whaawmp.mo (list of languages in po dir)
${prefix}/share/pixmaps/whaawmp.svg
${prefix}/share/thumbnailers/whaaw-thumbnailer.desktop
${prefix}/share/whaawmp (entire directory)

Any queries see the FAQ: http://home.gna.org/whaawmp/faq.html
Otherwise, use the mailing list: https://mail.gna.org/listinfo/whaawmp-dev/

There is also a video converter packaged with whaawmp, though it is not
intsalled, as it is in a very buggy alpha phase at the moment.  It was
more of an experiment in seeing if I could code a vp8 transcoder in
gstreamer, it has limited codec support and probably fails a lot.
